Bug 207094 - databases/mariadb100-server: mark OQGRAPH broken and allow to disable it properly
Summary: databases/mariadb100-server: mark OQGRAPH broken and allow to disable it prop...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks: 199601
  Show dependency treegraph
 
Reported: 2016-02-11 00:13 UTC by Dmitry Marakasov
Modified: 2016-05-02 23:20 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (brnrd)
junovitch: merge-quarterly+


Attachments
Patch (970 bytes, patch)
2016-02-11 00:13 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2016-02-11 00:13:27 UTC
Created attachment 166860 [details]
Patch

- OQGRAPH option doesn't build:

https://people.freebsd.org/~amdmi3/mariadb100-server.patch

so mark it BROKEN

- -DWITHOUT_OQGRAPH cmake arg is not supported and does nothing, so oqgraph is in fact always enabled and is in fact always build if boost and judy are detected, which leads to build failure. Removing oqgraph directory is the simplest way to fix that.

Note that other optional features may suffer from the same problem.

This patch also fixes build with boost 1.60, see

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=199601
https://wiki.freebsd.org/BoostPortingProject/1.55-to-1.60
Comment 1 Bernard Spil freebsd_committer 2016-02-20 17:40:09 UTC
Working on it...

Trying to get rid of some of the external deps (xz) as well.
Comment 2 Bernard Spil freebsd_committer 2016-02-21 10:19:31 UTC
Could this be an issue with ccache? It should be building with gcc nog clang.

From the build log
> WITH_CCACHE_BUILD=yes

> -- Running cmake version 3.4.2
> -- The C compiler identification is Clang 3.4.1
> -- The CXX compiler identification is Clang 3.4.1

whereas the port's Makefile requires GCC for building OQGraph (https://mariadb.atlassian.net/browse/MDEV-8051)

> OQGRPAH_USE=            gcc
Comment 3 Bernard Spil freebsd_committer 2016-02-21 21:16:05 UTC
(In reply to Bernard Spil from comment #2)

Spot the typo in that Makefile...

Patch underway (includes update to 10.0.24)

-OQGRPAH_USE=            gcc
+OQGRAPH_USE=            gcc
Comment 4 Dmitry Marakasov freebsd_committer 2016-02-29 00:16:16 UTC
There's actually no point in building it with gcc: since it uses boost and boost is built with clang and gcc/clang ABIs are incompatible, it won't link, or, if it for some strange reason does, won't work properly.

Anyway, any progress here?
Comment 5 Dmitry Marakasov freebsd_committer 2016-04-14 15:24:52 UTC
I'm going to commit this on terms of maintainer timeout.
Comment 6 commit-hook freebsd_committer 2016-04-21 11:07:12 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Apr 21 11:06:28 UTC 2016
New revision: 413725
URL: https://svnweb.freebsd.org/changeset/ports/413725

Log:
  - Mark OQGRAPH option BROKEN as it fails with both old and new boost
  - Allow to disable it properly so the build doesn't break of boost is installed
  - Remove OQGRAPH-related cmake flags, as they do nothing

  PR:		207094
  Submitted by:	amdmi3
  Approved by:	maintainer timeout (brnrd, 2 months)

Changes:
  head/databases/mariadb55-server/Makefile
Comment 7 commit-hook freebsd_committer 2016-05-02 23:19:12 UTC
A commit references this bug:

Author: junovitch
Date: Mon May  2 23:18:12 UTC 2016
New revision: 414492
URL: https://svnweb.freebsd.org/changeset/ports/414492

Log:
  MFH: r413725 r414483

  - Mark OQGRAPH option BROKEN as it fails with both old and new boost
  - Allow to disable it properly so the build doesn't break of boost is installed
  - Remove OQGRAPH-related cmake flags, as they do nothing

  PR:		207094
  Submitted by:	amdmi3
  Approved by:	maintainer timeout (brnrd, 2 months)

  databases/mariadb55-{client,server}: Update to 5.5.49

    - Update to latest version 5.5.49
    - Fix multiple vulnerabilities
    - Remove embedded, ports and no-SSL options
      Build with SSL support by default

  Security:	8c2b2f11-0ebe-11e6-b55e-b499baebfeaf
  Reviewed by:	feld (mentor)
  Approved by:	feld (mentor)
  Differential Revision:	D6161

  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q2/
  branches/2016Q2/databases/mariadb55-server/Makefile
  branches/2016Q2/databases/mariadb55-server/distinfo
Comment 8 Jason Unovitch freebsd_committer 2016-05-02 23:20:43 UTC
I went an MFH'd this pursuant to the 5.5.49 security update.  So set merge-quarterly+ as a result.